The Jupiter Developer Platform is live. Previous portal users keep their rate limits for free until 30 June 2026 — set up billing on the new platform before then. See the Migration Guide for details.
curl --request POST \
--url https://api.jup.ag/trigger/v2/orders/price/confirm-cancel/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"signedTransaction": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...",
"cancelRequestId": "cancel-request-uuid"
}
'{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"txSignature": "3PDo3pMJLqvAfNXwYjY7BSP57ZNQ5DgYDeK6xYszUVMn..."
}Confirm and execute a pending order cancellation
curl --request POST \
--url https://api.jup.ag/trigger/v2/orders/price/confirm-cancel/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"signedTransaction": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...",
"cancelRequestId": "cancel-request-uuid"
}
'{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"txSignature": "3PDo3pMJLqvAfNXwYjY7BSP57ZNQ5DgYDeK6xYszUVMn..."
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Get API key via https://developers.jup.ag/portal
JWT token from the challenge-response auth flow
Was this page helpful?